Delete stack profile logo
import requests
url = "https://platform.ankra.app/org/stack-profiles/{profile_id}/logo"
headers = {"cookie": "ankra_session="}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {cookie: 'ankra_session='}};
fetch('https://platform.ankra.app/org/stack-profiles/{profile_id}/logo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request DELETE \
--url https://platform.ankra.app/org/stack-profiles/{profile_id}/logo \
--cookie ankra_session={
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"logo_url": "<string>",
"has_uploaded_logo": true,
"uploaded_logo_updated_at": "2023-11-07T05:31:56Z",
"category": "<string>",
"tags": [
"<string>"
],
"visibility": "organisation",
"latest_version": 123,
"current_version": 123,
"source_cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"publisher_name": "<string>",
"publisher_slug": "<string>",
"publisher_verified": true,
"publisher_is_ankra": true,
"publisher_has_logo": true,
"publisher_logo_updated_at": "2023-11-07T05:31:56Z",
"shared_organisation_count": 123,
"shared_with_you": true,
"is_owner": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Stack Profiles
Delete stack profile logo
DELETE
/
org
/
stack-profiles
/
{profile_id}
/
logo
Delete stack profile logo
import requests
url = "https://platform.ankra.app/org/stack-profiles/{profile_id}/logo"
headers = {"cookie": "ankra_session="}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {cookie: 'ankra_session='}};
fetch('https://platform.ankra.app/org/stack-profiles/{profile_id}/logo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request DELETE \
--url https://platform.ankra.app/org/stack-profiles/{profile_id}/logo \
--cookie ankra_session={
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"logo_url": "<string>",
"has_uploaded_logo": true,
"uploaded_logo_updated_at": "2023-11-07T05:31:56Z",
"category": "<string>",
"tags": [
"<string>"
],
"visibility": "organisation",
"latest_version": 123,
"current_version": 123,
"source_cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"publisher_name": "<string>",
"publisher_slug": "<string>",
"publisher_verified": true,
"publisher_is_ankra": true,
"publisher_has_logo": true,
"publisher_logo_updated_at": "2023-11-07T05:31:56Z",
"shared_organisation_count": 123,
"shared_with_you": true,
"is_owner": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Browser session. Mutations also require X-Ankra-CSRF.
Path Parameters
Response
Stack profile logo deleted
Available options:
organisation, public